#include "base.as"
#include "races.as"

bool pitstop_drivingTooFast = false;
racesManager races();

void createRaces()
{
	//races.showCheckPointInfoWhenNotInRace = true;
	// Add a RaceFinish callback
    races.setCallback("RaceFinish", on_raceFinish);  
	
	double[][] race_bench = 
		{
			{1546.934692,    -0.241489,  1102.354980,     0.000000,     0.000000,     0.000000,},
			{1243.896973,    -0.102691,  1183.714111,     0.000000,     0.000000,     0.000000,},
			
		};
	//                              race name    coordinates   #laps         checkpoint object     startline object        finishline object       race version
	int raceID = races.addRace("Benchmark 3 Laps", race_bench, 3, "chp-checkpoint", "chp-start", "chp-start", "unknown_author-1.0");

	races.setVersion(raceID, "unknown_author-1.0");
	races.finalize(raceID);
	/*
	// add a cancel point for all races (we can do this for all races by setting the race ID to -1)
	double[][] cancelpoint = {{965, 8.8, 580, 0, 90, 0,}};
	races.addCancelPoint(-1, "31-trigger10x10", cancelpoint[0], on_cancelPoint);
	*/
}

// The default RoR main function
void main()
{
	createRaces();
	//races.submitScore(false);
	// add the pitstop event
	//game.spawnObject("trucktrigger", "pitstop", vector3(883.356262f, 0.340250f, 1302.838745f), vector3(0.000010f, 0.000000f, 0.000000f), "PitStopEvent", false);	
}

// The default RoR event callback
void eventCallback(int eventnum, int value)
{
	// required for the races!
	races.eventCallback(eventnum, value);
}

// the event callback for our cancelpoint
void on_cancelPoint(dictionary@ info)
{
	game.flashMessage("Race aborted.", 4, -1);
}

// The event callback for finishing a race
void on_raceFinish(dictionary@ info)
{
    // Get the race ID
    int raceID;
    info.get("raceID", raceID);
    
    // get the lap time (in seconds)
    float lapTime = game.getTime() - races.lapStartTime;
    
    // get the race time (in seconds)
    float raceTime = game.getTime() - races.raceStartTime;

}  